| Disk ARchive 2.6.12 Full featured and portable backup and archiving tool

Public Member Functions | Protected Attributes | Private Member Functions | List of all members
libdar::crit_not Class Reference
API

realises the negation of the criterium given in argument to its constructor More...

`#include <criterium.hpp>`

Inherits libdar::criterium.

Inherited by libdar::crit_invert.

## Public Member Functions
| crit_not (const criterium &crit)
| crit_not (const crit_not &ref)
| crit_not (crit_not &&ref) noexcept
crit_not & | operator= (const crit_not &ref)
crit_not & | operator= (crit_not &&ref) noexcept
virtual bool | evaluate (const cat_nomme &first, const cat_nomme &second) const override
| criterum interface method More...
virtual criterium * | clone () const override
| clone construction method More...
Public Member Functions inherited from libdar::criterium
| criterium (const criterium &ref)=default
| criterium (criterium &&ref) noexcept=default
criterium & | operator= (const criterium &ref)=default
criterium & | operator= (criterium &&ref) noexcept=default

## Protected Attributes
const criterium * | x_crit

## Private Member Functions
void | copy_from (const crit_not &ref)
void | destroy ()

## Detailed Description

realises the negation of the criterium given in argument to its constructor

Definition at line 457 of file criterium.hpp.

## Member Function Documentation

## ◆ clone()

virtual criterium* libdar::crit_not::clone | ( |  | ) | const
| inline override virtual

clone construction method

Returns
  a new object of the same type,

Note
  this method must be implemented in all the leaf classes of the class hierarchy rooted at the criterium class

Implements libdar::criterium.

Definition at line 468 of file criterium.hpp.

## ◆ evaluate()

virtual bool libdar::crit_not::evaluate | ( | const cat_nomme & | first,
|  | const cat_nomme & | second
| ) |  | const
| inline override virtual

criterum interface method

Parameters

  [in] | first | entry to compare with the following (this is the original or 'in place' entry)
  [in] | second | the other entry to compare with the previous one (this is the new entry to add)

Returns
  the result of the criterium evaluation (true or false)

Implements libdar::criterium.

Definition at line 467 of file criterium.hpp.

References libdar::criterium::evaluate().

The documentation for this class was generated from the following file:

- criterium.hpp